clear all
close all
clc

%%
f2=5;
fcn = @(theta) 6 + f2/2 * (theta-5).^2;
theta = -10:0.1:10;
plot(theta, fcn(theta))
grid on, hold on

[m,i] = min(fcn(theta));
thetamin = theta(i);
plot(thetamin, m, 'r*')

%%

a = 0.01;
omega = 10e3;
k = 5e3;
h = 100;
theta0 = 10;

return

%% 
close all
figure
plot(theta_sim.time, theta_sim.signals.values - thetamin)
grid on, hold on
plot(theta_sim.time, (theta0-thetamin)*exp(-(a^2*k*f2/2)*theta_sim.time), '--r')
legend('sim','exp fitting')
xlim([0 10])


